class BleedHandler extends Paged.Handler {
	constructor(chunker, polisher, caller) {
		super(chunker, polisher, caller);
	}

	afterPageLayout(pageFragment, page) {
		let img = pageFragment.querySelector("img");
		let bar = pageFragment.querySelector('.progress-bar')
			
		if (img && !img.hasAttribute("data-nobleed")) {
			moveImage(img);
		} 

		else if (bar){
		progressBar(bar)
		}
	}

	afterRendered(pages) {
		console.log("Ready!");
	}
}

Paged.registerHandlers(BleedHandler);

function moveImage(img) {
	let parent = img.closest(".pagedjs_sheet");
	parent.prepend(img);
}

function progressBar(bar){
	let width = bar.clientWidth
	let height = bar.clientHeight
	
	let parent = bar.closest(".pagedjs_sheet");
	parent.prepend(bar);
	bar.style.height = `calc(2mm + ${height}px)`
	bar.style.width = `calc(4mm + ${width}px)`
	bar.style.bottom = '0'
	bar.style.top = 'initial'

}